Name:           innotop
Version:        1.6.0
Release:        2%{?dist}
Summary:        A MySQL and InnoDB monitor program

Group:          Applications/Databases
License:        GPLv2+ or Artistic
URL:            http://sourceforge.net/projects/innotop
Source0:        http://downloads.sourceforge.net/innotop/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(DBI) perl(ExtUtils::MakeMaker) perl(Term::ReadKey) perl(DBD::mysql)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version)) perl(Term::ReadKey) perl(DBD::mysql)

%description
innotop connects to a MySQL database server and retrieves information from it,
then displays it in a manner similar to the UNIX top program.  innotop uses
the data from SHOW VARIABLES, SHOW GLOBAL STATUS, SHOW FULL PROCESSLIST, and
SHOW ENGINE INNODB STATUS, among other things.

%prep
%setup -q


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING INSTALL 
%{_bindir}/innotop
%{perl_vendorlib}/*
%{_mandir}/man3/InnoDBParser.3pm*
%{_mandir}/man1/innotop.1*


%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.0-2
Rebuild for new perl

* Tue Jan 29 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.6.0-1
- New upstream release.
- Update License

* Sun Jul 29 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.3-2
- New upstream release.
- Remove README from docs (removed upstream)

* Fri Jun 29 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.2-4
- First import into Fedora

* Sun Jun 17 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.2-3.mf
- Fix BuildRequires.
- Explict Requires for DBD::mysql and Term::Readkey as RPM is not smart enough
  to pick them up on it's own.

* Fri May 4 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.2-1.mf
- New upstream release

* Fri Apr 6 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.1-1.mf
- New upstream release

* Mon Mar 5 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.0-1.mf
- New stable upstream release

* Sun Feb 5 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.3.5-1.mf
- Initial release
